/*
 * Copyright (C) 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.companion;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class DevicePresenceEvent implements android.os.Parcelable {

public DevicePresenceEvent(int associationId, int event, @android.annotation.Nullable android.os.ParcelUuid uuid) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int getAssociationId() { throw new RuntimeException("Stub!"); }

public int getEvent() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.os.ParcelUuid getUuid() { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.companion.DevicePresenceEvent> CREATOR;
static { CREATOR = null; }

public static final int EVENT_BLE_APPEARED = 0; // 0x0

public static final int EVENT_BLE_DISAPPEARED = 1; // 0x1

public static final int EVENT_BT_CONNECTED = 2; // 0x2

public static final int EVENT_BT_DISCONNECTED = 3; // 0x3

public static final int EVENT_SELF_MANAGED_APPEARED = 4; // 0x4

public static final int EVENT_SELF_MANAGED_DISAPPEARED = 5; // 0x5

public static final int NO_ASSOCIATION = -1; // 0xffffffff
}

